\begin{figure*}
	\centering

	\subfloat[Throughput]{ % Default behavior.
		\includegraphics[scale = .42]{pair_default_transactions.pdf}

		\label{fig_transactions}
	}
	\subfloat[Physical memory footprint]{
		\includegraphics[scale = .42]{pair_default_memory.pdf}

		\label{fig_memory}
	}
	\subfloat[Disk I/O]{
		\includegraphics[scale = .42]{pair_default_reads.pdf}

		\label{fig_disk}
	}

	\caption{\footnotesize No limits set}
	\label{fig_default}

	\subfloat[Throughput]{ % Max limit behavior.
		\includegraphics[scale = .42]{pair_max_transactions.pdf}

		\label{fig_transactions_max}
	}
	\subfloat[Physical memory footprint]{
		\includegraphics[scale = .42]{pair_max_memory.pdf}

		\label{fig_memory_max}
	}
	\subfloat[Disk I/O]{
		\includegraphics[scale = .42]{pair_max_reads.pdf}

		\label{fig_disk_max}
	}

	\caption{\footnotesize \texttt{Max} limits set to \SI{1.8}{\giga\byte} (A) and \SI{1}{\giga\byte} (B)}
	\label{fig_max}

	\subfloat[Throughput]{ % Soft limit behavior.
		\includegraphics[scale = .42]{pair_soft_transactions.pdf}

		\label{fig_transactions_soft}
	}
	\subfloat[Physical memory footprint]{
		\includegraphics[scale = .42]{pair_soft_memory.pdf}

		\label{fig_memory_soft}
	}
	\subfloat[Disk I/O]{
		\includegraphics[scale = .42]{pair_soft_reads.pdf}

		\label{fig_disk_soft}
	}

	\caption{\footnotesize \texttt{Soft} limits set to \SI{1.8}{\giga\byte} (A) and \SI{1}{\giga\byte} (B)}
	\label{fig_soft}

	\subfloat[Throughput]{ % Mechanism behavior.
		\includegraphics[scale = .42]{pair_mechanism_transactions.pdf}

		\label{fig_transactions_mechanism}
	}
	\subfloat[Physical memory footprint]{
		\includegraphics[scale = .42]{pair_mechanism_memory.pdf}

		\label{fig_memory_mechanism}
	}
	\subfloat[Disk I/O]{
		\includegraphics[scale = .42]{pair_mechanism_reads.pdf}

		\label{fig_disk_mechanism}
	}

	\caption{\footnotesize MemOpLight with \texttt{soft} limits set to \SI{1.8}{\giga\byte} (A) and \SI{1}{\giga\byte} (B)}
	\label{fig_mechanism}
\end{figure*}